<?php

error_reporting(E_ALL);
ini_set('display_errors', 1);

$host = "192.168.1.20";
$database = "tiro_piattello";
$user = "pdo";
$password = "";

$datiMedici = [];

try {
    $connection = new PDO("mysql:host=$host;dbname=$database", $user, $password);
    echo "Connected successfully<br>";

    $prepare = $connection->prepare("SELECT id, nome, sede FROM squadra ORDER BY nome");
    $prepare->execute();
    if ($prepare->rowCount() > 0) {
        $datiMedici = $prepare->fetchAll();
    }
    $connection = null;

} catch (PDOException $e) {
    die ("Error!: " . $e->getMessage() . "<br/>");
}

?>

<html lang="en">
<head>
    <title>HTML</title>
    <link
        rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/@picocss/pico@2/css/pico.min.css"
    >
</head>

<body>
    <main class="container">
        <h1>Lista squadra db</h1>
        <?php foreach ($datiMedici as $med) {
            echo "<h2>" . $med['nome'] . " </h2>";
        } ?>
    </main>
</body>

</html>
